package com.fs.his.service;

import java.util.List;

import com.fs.common.core.domain.R;
import com.fs.his.domain.FsTestReport;
import com.fs.his.param.FsTestReportParam;
import com.fs.his.vo.FsTestReportListVO;
import com.fs.his.vo.FsTestReportVO;

/**
 * 测试报告Service接口
 *
 * @author fs
 * @date 2023-09-04
 */
public interface IFsTestReportService
{
    /**
     * 查询测试报告
     *
     * @param reportId 测试报告主键
     * @return 测试报告
     */
    public FsTestReport selectFsTestReportByReportId(Long reportId);

    /**
     * 查询测试报告列表
     *
     * @param fsTestReport 测试报告
     * @return 测试报告集合
     */
    public List<FsTestReport> selectFsTestReportList(FsTestReport fsTestReport);

    /**
     * 新增测试报告
     *
     * @param fsTestReport 测试报告
     * @return 结果
     */
    public int insertFsTestReport(FsTestReport fsTestReport);


    public R doReport(FsTestReport fsTestReport);
    /**
     * 修改测试报告
     *
     * @param fsTestReport 测试报告
     * @return 结果
     */
    public int updateFsTestReport(FsTestReport fsTestReport);

    /**
     * 批量删除测试报告
     *
     * @param reportIds 需要删除的测试报告主键集合
     * @return 结果
     */
    public int deleteFsTestReportByReportIds(Long[] reportIds);

    /**
     * 删除测试报告信息
     *
     * @param reportId 测试报告主键
     * @return 结果
     */
    public int deleteFsTestReportByReportId(Long reportId);

    List<FsTestReportListVO> selectFsTestReportListVO(FsTestReportParam fsTestReport);

    FsTestReportVO selectFsTestReportByReportIdVO(Long reportId);



}
